Results 1 to 9 of 9

Thread: ClamAV 0.99.2 cannot compile against OpenSSL 1.1.0, which Debian 9 provides

  1. #1

    ClamAV 0.99.2 cannot compile against OpenSSL 1.1.0, which Debian 9 provides

    This is more for your information, but until 0.99.3 is released to support OpenSSL 1.1.0, ClamAV cannot be used on Debian 9.
    We tried various patches, but were unsuccessful in getting it going, as we keep running into errors during the ./configure call.

    John

  2. #2
    Join Date
    Oct 2007
    Location
    France
    Posts
    29
    FYI, for Dovecot it's the same issue with OpenSSL

    You'll have to edit /etc/dovecot/conf/ssl.conf and remove all SSLv2 stuff

    This is what works with Debian 9

    Code:
    ssl_cert = </etc/exim.cert
    ssl_key = </etc/exim.key
    
    ssl_protocols = !SSLv3
    ssl_cipher_list = ALL:!ADH:RC4+RSA:+HIGH:+MEDIUM:-LOW:-EXP

  3. #3
    Join Date
    Oct 2008
    Posts
    5
    Using OpenSSL 1.1.0f and testing ClamAV clamav-0.99.3-beta1 under Debian 9.

    Don't know if there's anything which should be patched for DirectAdmin, but as far as I've seen the beta works with OpenSSL 1.1.0f.

    As for Dovecot, I havent found any issues.

  4. #4
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,274
    Followed this code to install ClamAV 0.99.3-beta1 on Debian 9 with OpenSSL 1.1.0:


    Code:
    cd  /usr/local/directadmin/custombuild
    wget https://www.clamav.net/downloads/beta/clamav-0.99.3-beta1.tar.gz -O clamav-0.99.3-beta1.tar.gz
    echo "clamav:0.99.3-beta1:7451f620410b8b1786f063b5dadb76fb" >> ./custom_versions.txt
    ./build clamav
    Yes, it's beta. So need to see how it works.

    Alternatively we could try and use ClamAV from Debian repo, it offers:

    clamav/stable 0.99.2+dfsg-6+b1 amd64

  5. #5
    Join Date
    Oct 2007
    Location
    France
    Posts
    29
    Quote Originally Posted by ps4all View Post
    Using OpenSSL 1.1.0f and testing ClamAV clamav-0.99.3-beta1 under Debian 9.
    As for Dovecot, I havent found any issues.
    You're right ! Latest version compiles with OpenSSL 1.1

    For the 0.99.3 version of clamav, you need to replace the --nofork=yes by --foreground=yes in /etc/systemd/system/clamav.service

    The --nofork flag has been removed in latest version.

  6. #6
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,154
    --foreground=yes is the default, however, DA systemd file is /etc/systemd/system/clamd.service and not clamav​.service.
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  7. #7
    Join Date
    Mar 2018
    Posts
    1
    Fixed issue with version 0.99.4 ! :
    Code:
    cd /usr/local/directadmin/custombuild
    wget https://www.clamav.net/downloads/production/clamav-0.99.4.tar.gz
    Modify the line to put this (versions.txt / line 64) :
    Code:
    clamav:0.99.4:b9359b90086948b3c4eb97c84cf4b400
    Then start the installation :
    Code:
    ./build clamav

  8. #8
    Join Date
    Jan 2018
    Posts
    12
    Modify the line to put this (versions.txt / line 64) :
    Code:
    clamav:0.99.4:b9359b90086948b3c4eb97c84cf4b400
    I've added it to version.txt but when I run ./build clamav it still wants to install 0.99.3:


    Extracting ...
    Done.
    Configuring clamav 0.99.3 ...

    and ends up with error
    *** The make has failed, do you want to try to make again? (y,n):

    how to enforce 0.99.4 install?


    Quote Originally Posted by CSylvain View Post
    Fixed issue with version 0.99.4 ! :
    Code:
    cd /usr/local/directadmin/custombuild
    wget https://www.clamav.net/downloads/production/clamav-0.99.4.tar.gz
    Modify the line to put this (versions.txt / line 64) :
    Code:
    clamav:0.99.4:b9359b90086948b3c4eb97c84cf4b400
    Then start the installation :
    Code:
    ./build clamav

  9. #9
    Join Date
    Mar 2018
    Posts
    60
    Issue solved on Debian 9.4. It install clamav-0.99.4.tar.gz

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •